#!/bin/sh

. $(/usr/bin/dirname $0)/setenv.sh

if [ ! -d $TAPEPROVIDER_INSTALL ]; then
  exit 1
fi

cimom_outfile='/dev/null'
if [ "$1" == "-debug" ]; then
   cimom_outfile=$TAPEPROVIDER_INSTALL/pegasus/bin/cimom.log.debug
   echo "Starting in debug mode...  "
   echo "stdout and stderr from the cimserver process are re-directed to $cimom_outfile.."
fi

#The snmptrapd.conf file is being written dynamically at startup so the correct pathname for TIC is used.
#This action should be done at install time and not startup.
echo "traphandle	default		$TAPEPROVIDER_INSTALL/pegasus/bin/TIC" > $TAPEPROVIDER_INSTALL/packages/snmp/bin/snmptrapd.conf
$TAPEPROVIDER_INSTALL/packages/snmp/bin/snmptrapd -c $TAPEPROVIDER_INSTALL/packages/snmp/bin/snmptrapd.conf

cimserver > $cimom_outfile 2>&1 
exit $?
